<?php

// подделка форм

error_reporting(-1);

$data = [
    'name' => '',
    'email' => '',
    'price' => '',
    'currency' => '',
];

function debug($data){
    echo '<pre>' . print_r($data, 1) . '</pre>';
}

function load($data){
    foreach($_POST as $k => $v){
        if(array_key_exists($k, $data)){
            $data[$k] = trim($v);
        }
    }
    return $data;
}

function check_empty($data){
    $errors = [];
    foreach($data as $k => $v){
        if(empty($v)){
            $errors[] = "Field <b>{$k}</b> required";
        }
    }
    return $errors;
}

if(!empty($_POST)){
    $data = load($data);
    debug($data);
    $errors = check_empty($data);
    if($errors){
        $res = '<div class="alert alert-danger" role="alert">
                  ' . print_r($errors, 1) . '
                  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
              </div>';
    }else{
        $res = '<div class="alert alert-success" role="alert">
                OK!
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
               </div>';
    }
}

?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</head>
<body>

<div class="container" style="margin-top: 20px;">
    <div class="row">
        <div class="col-6">
            <form method="post" style="margin-bottom: 20px;">
                <div class="form-group">
                    <label for="name">Name</label>
                    <input type="text" name="name" class="form-control" id="name" placeholder="Enter name" required>
                </div>
                <div class="form-group">
                    <label for="email">Email address</label>
                    <input type="email" name="email" class="form-control" id="email" placeholder="Enter email" required>
                </div>
                <input type="hidden" name="price" value="100">
                <input type="hidden" name="currency" value="usd">
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
    <div class="row">
        <div class="col-6">
            <?php if(isset($res)): ?>
                <?= $res ?>
            <?php endif; ?>
        </div>
    </div>
</div>

</body>
</html>